Bug 1182322 - pulp_celerybeat does not start if python-saslwrapper is installed
Summary: pulp_celerybeat does not start if python-saslwrapper is installed
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: async/tasks
Version: 2.6 Beta
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 2.6.0
Assignee: Chris Duryee
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-14 20:50 UTC by Chris Duryee
Modified: 2015-02-28 23:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 23:18:48 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 659 0 None None None Never

Description Chris Duryee 2015-01-14 20:50:51 UTC
Description of problem:

python-saslwrapper is a library that sits on top of sasl. It appears that if this library is installed, we get different errors back from SASL when the "plain" mechanism is not found. This results in python-kombu not skipping the plain mech and trying anonymous, which results in pulp_celerybeat and other services not starting.


Version-Release number of selected component (if applicable): 2.6.0 beta 4, with python-kombu-3.0.24-3.pulp.el7.noarch


How reproducible: every time


Steps to Reproduce:
1. install pulp, and do not set "auth=no" in qpidd.conf
2. install python-saslwrapper
3. attempt to start pulp_celerybeat, log will contain errors
4. yum erase python-saslwrapper and restart pulp_celerybeat, log will not contain errors

Actual results:

lots of errors in pulp log:

celery.beat:ERROR: beat: Connection error: Error in sasl_client_start (-4) SASL(-4): no mechanism available: . Trying again in 32.0 seconds...

This will retry 100 times before attempting to try the ANONYMOUS mechanism.

Expected results:

you should see something like this in the log (normal startup):

kombu.transport.qpid:INFO: Connected to qpid with SASL mechanism ANONYMOUS

Comment 1 Chris Duryee 2015-01-14 22:37:37 UTC
https://github.com/pulp/pulp/pull/1525

Comment 2 Chris Duryee 2015-01-16 23:00:01 UTC
pulp 2.6.0 beta 5

Comment 3 Preethi Thomas 2015-01-30 20:53:29 UTC
verified

Jan 30 21:52:17 ibm-x3550m3-07 pulp: kombu.transport.qpid:INFO: Connected to qpid with SASL mechanism ANONYMOUS

Comment 4 Brian Bouterse 2015-02-28 23:18:48 UTC
Moved to https://pulp.plan.io/issues/659


Note You need to log in before you can comment on or make changes to this bug.